====== inet-3.x ======

2017-10-02  ------ inet-3.6.2 released ------

2017-07-06  ------ inet-3.6.1 released ------

2017-06-09  ------ inet-3.6.0 released ------

2017-05-18  Zoltan Bojthe

	Fixed memory leak.

2017-05-04  Zoltan Bojthe

	Bugfix: _commonName pointed to deallocated memory.

2017-02-20  ------ inet-3.5.0 released ------

2016-10-20  Rudolf Hornig

	refactoring: removed compatibility macros required for OMNeT++ 4.x builds
	+ warning fixes

2016-08-03  Zoltan Bojthe

	MSG: @fieldNameSuffix("_var") removed when @omitGetVerb(true) not used

2016-06-15  ------ inet-3.4.0 released ------

2016-06-01  ------ inet-3.3.0 released ------

2016-04-06  ------ inet-3.2.4 released ------

2016-03-16  ------ inet-3.2.3 released ------

2016-03-11  ------ inet-3.2.2 released ------

2016-01-21  ------ inet-3.2.1 released ------

2015-12-16  ------ inet-3.2.0 released ------

2015-10-26  ------ inet-3.1.1 released ------

2015-10-15  ------ inet-3.1.0 released ------

2015-06-22  ------ inet-3.0.0 released ------

2015-05-13  ------ inet-2.99.1 released ------

2015-01-21  Zoltan Bojthe

	Applied C++ source code modernizer.

2014-12-19  Zoltan Bojthe

	Fixed defects found by static code analyzer (Coverity).

2014-11-07  ------ inet-2.99.0 released ------

2014-09-18  Andras Varga

	Moved all sources under the src/inet directory, so that all #include
	statements begin with "inet/". The motivation is to rule out potential
	filename clashes when multiple model frameworks are used together.

	HINT: You can use the "opp_githist" command in inet/_scripts to find
	all previous locations of the sources in this directory, and to view
	the full history in gitk. Normal invocations of gitk can only show
	file history back to the most recent move operation.

2014-07-30  Andras Varga

	Changes on the inet-3.x branch so far:

	Code formatting (Zoltan Bojthe)
	- using uncrustify, see _scripts/reformat/*
	- common style for header guards

	Namespace (Zoltan Bojthe, Zsolt Prontvai)
	- code has been moved into the inet namespace

	Init stages (Zoltan Bojthe, Andras Varga)
	- init stages: reorganized by layers

	Signals (Zoltan Bojthe)
	- replace INotifiable and NotificationBoard by signals for
	  publish/subscribe communication

	Logging (Zoltan Bojthe, Benjamin Seregi)
	- EV log statements revised and categorized: EV_ERROR, EV_WARN,
	  EV_INFO, EV_DETAIL, EV_DEBUG, EV_TRACE

====== inet-2.x ======

2015-03-17  Tey

	Now both space and tabs are processed correctly in gdf files.

	Fixed a memory leak.

	Now it's possible to disable the RTP logging file by specifying
	empty for the logfile name.

2015-03-04  ------ inet-2.6 released ------

2014-11-07  ------ inet-2.5.1 released ------

2014-10-29  ------ inet-2.5.0 released ------

2014-06-12  ------ inet-2.4.0 released ------

2014-03-19  ------ inet-2.3.0 released ------

2014-01-24  Zoltan Bojthe

	backport: msg files: legacy enum(Foo) syntax changed to @enum(Foo)

2013-09-20  Andras Varga

	ev->EV and related OMNeT++ 5.0 logging compatible fixes

2013-08-22  ------ inet-2.2.0 released ------

2013-02-19  Andras Varga

	RTPHost moved from src/transport to src/nodes/

	HOST MODELS MUST ALWAYS BE PLACED INTO nodes/ (or under an example
	simulation)

2013-05-02  Zoltan Bojthe

	RTP: added "unsupported" lifecycle

2013-04-19  Zoltan Bojthe

	RTPHost is now based on StandardHost

2013-04-23  Zoltan Bojthe

	RTP: fix: remove _profileName member, use function argument instead

2013-01-30  ------ inet-2.1.0 released ------

2012-08-07  ------ inet-2.0.0 released ------

2012-06-25  ------ inet-1.99.5 released ------

2012-06-15  Zoltan Bojthe

	RTP: HACK!!! - joined local multicast groups for UDPSocket

	Changes in network interfaces:
	- added INic moduleinterface, all other network interface should
	  extends it
	- renamed netwIn, netwOut gates to upperLayerIn, upperLayerOut

2012-03-20  ------ inet-1.99.4 released ------

2012-02-24  ------ inet-1.99.3 released ------

2011-12-22  Andras Varga

	statistics revised:
	- changes statistics titles to lowercase
	- removed "stats" where "histogram" was already present (it implies "stats")
	- rcvdPkBytes -> rcvdPk, etc.
	- RTPPayloadReceiver: signal renaming

2011-11-18  ------ INET-1.99.2 released ------

2011-11-13  Levente Meszaros, Zoltan Bojthe

	Refactored operator= and copy constructor in all INET classes.
	See base/ChangeLog for details.

2011-08-30  Zoltan Bojthe

	RTP: fixes for change to UDPSocket

	Binding UDP sockets to a port, without any IP addresses

2011-08-02  Zoltan Bojthe

	fixes for cppcheck

2011-07-28  Andras Varga

	UDP apps: change to UDPSocket; updated for the UDP API changes

2011-07-18  Andras Varga

	comments, whitespace, etc.

2011-07-18  Andras Varga

	statistics: emit pk (cPacket*) signals instead of pkBytes etc; added
	more statistics

	Utilize packetBytes() result filter in @statistic to record byte counts

2011-06-03  Andras Varga

	cosmetics: space usage made somewhat more consistent throughout the code

	Notes:
	- if you have an INET fork and want to compare the code, use the
	 "Ignore spaces" option of your visual diff tool. Most tools have
	 this option; Meld and Araxis Merge certainly do.

	- I used omnetpp/_scripts/tidymodel/spaces.pl, plus some manual tweaks

2011-05-30  ------ INET-1.99.1 released ------

2011-05-26  Zoltan Bojthe

	Renamed IP... classes to IPv4... or IPvX...

2011-03-31  Zoltan Bojthe

	change simsignal_t member variables to static member

2011-03-29  Zoltan Bojthe

	featuresupport: add PPP feature, correcting tcpType, udpType in NED
	files

2011-03-03  ------ INET-1.99.0 released ------

2011-03-02  Zoltan Bojthe

	change opp_error to throw cRuntimeError

2011-02-22  Andras Varga

	removed obsolete and misleading !WORK_IN_PROGRESS! files

2011-02-22  Andras Varga

	Swiched NED documentation comments to explicit hyperlinking of NED
	type names, using tilde. Example: "TCP" was changed to "~TCP"
	wherever the module and not the protocol was meant.

	The reason for the switch was that autolinking produced too many
	false hits (e.g. "TCP connection" and "IP address" would link
	to the TCP and IP modules.)

2011-01-13  Zoltan Bojthe

	using getEncapsulatedPacket() instead deprecated getEncapsulatedMsg()

2010-11-25  Zoltan Bojthe

	define RTPParticipantInfo in MSG file

2010-11-24  Zoltan Bojthe

	RTPParticipantInfo must be a cNamedObject

	because RTCP search it by name (generated from ssrc)

2010-11-24  Zoltan Bojthe

	cutting up a big function to more parts

2010-11-24  Zoltan Bojthe

	bugfix: member cArray is a cOwnedObject.

2010-11-23  Zoltan Bojthe

	remove comments

2010-11-23  Zoltan Bojthe

	bugfix: do nothing the leaveSession() when already session left.

2010-11-23  Zoltan Bojthe

	change MTU calculation

2010-11-23  Zoltan Bojthe

	do not process packet, when address/port conflict arrived.

2010-11-23  Zoltan Bojthe

	changes in 'include'-s

2010-11-23  Zoltan Bojthe

	rename functions

2010-11-22  Zoltan Bojthe

	documentation changes

2010-11-22  Zoltan Bojthe

	code styling, optimisations

2010-11-22  Zoltan Bojthe

	change interpreting lines of *.mpg.gdf file

2010-11-22  Zoltan Bojthe

	rename RTPInnerPacket setter functions to set...Pkt()

2010-11-22  Zoltan Bojthe

	code styling, convert pointer to member variable.

2010-11-22  Zoltan Bojthe

	RTP module documentation.

2010-11-22  Zoltan Bojthe

	code styling, comments, copyrights

2010-11-22  Zoltan Bojthe

	remove RTPInterfacePacket.h

2010-11-19  Zoltan Bojthe

	small optimalisation

2010-11-19  Zoltan Bojthe

	Continue redesign of RTPInterfacePacket, code styling

2010-11-12  Zoltan Bojthe

	redesign RTPInterfacePacket  (not completed)

2010-11-12  Zoltan Bojthe

	convert reports to MSG

2010-11-12  Zoltan Bojthe

	code style, const, protected/public changes

2010-11-11  Zoltan Bojthe

	RTP fixes, convert messages to MSG file

2010-11-11  Zoltan Bojthe

	RTP fixes, convert messages to MSG file

2010-11-09  Zoltan Bojthe

	add default values for some parameters of RTPHost

2010-11-09  Zoltan Bojthe

	initialize bugfix

2010-11-09  Zoltan Bojthe

	RTPApplication uses IPAddressResolver now

2010-11-08  Zoltan Bojthe

	RTP bugfix

2010-03-05  Andras Varga

	@statistic: added missing 'vector' recording mode

2010-03-05  Andras Varga

	update for omnet++ 4.1b3:

	renamed @signal to @statistic modeHint= to record=

2010-03-02  Zoltan Bojthe

	add statistics by using signals

2010-02-26  Zoltan Bojthe

	RTP/RTCP code optimisation

2010-06-24  Zoltan Bojthe

	use signals for statistics recording

2010-06-21  Zoltan Bojthe

	indent changes - from Thomas Reschka

2009-11-05  Rudolf Hornig

	Changes related to the TCP-SACK implementation from Thomas Reschka.

2009-07-21  Andras Varga

	labels change: EtherFrame/PPPFrame labels on hosts/routers renamed to
	EtherFrame-conn/PPPFrame-conn, so that EtherMAC, PPPInterface etc are
	not offered by the palette when editing a network

2009-07-20  Andras Varga

	Cosmetic changes in RTP-related modules

	- removed redundant semicolons after close braces
	- function body's open brace put on separate line
	- replace a number of C-style casts with check_and_cast<>

2009-07-20  Andras Varga

	RTP and related modules: gate renaming (fromXXX->xxxIn, toXXX->xxxOut)
	and labelling

2009-07-17  Levente Meszaros

	Added labels to gates to so that the graphical editor can match them
	when the user creates a connection:

	@labels(EtherFrame); labels(Ieee802Ctrl/up); labels(Ieee802Ctrl/down);
	@labels(TCPCommand/up); @labels(TCPCommand/down);
	@labels(UDPControlInfo/up); @labels(UDPControlInfo/down);
	@labels(Ieee80211Frame);  @labels(IPControlInfo/down);
	@labels(IPControlInfo/up);  @labels(IPDatagram);
	@labels(IPv6ControlInfo/up); @labels(IPv6ControlInfo/down);
	@labels(IPv6Datagram)

2009-03-25  ------ INET-20090325 released ------

2008-06-14  Andras Varga

	* integrated Ahmed Ayadi's patch into the INET Fw, and ported to
	  OMNeT++ 4.0; some cleanup

	* refactoring:
	  - use C99 integer types (uint8_t etc) instead of u_int8_t
	  - converted some classes to msg files (all messages used to be
	    hand-coded C++ classes)
	  - renamed RTPEndsystemModule to RTP, RTCPEndsystemModule to RTCP

	* more work needed, see todo files

2008-01-01..2009-03-25  Andras Varga, Rudolf Hornig

	Porting of INET to OMNeT++ 4.0, and some general face lift:
	* better directory structure (names changed to lowercase; moved sources
	  under src/; better names, e.g. networkinterfaces -> linklayer)
	* build system to use a deep makefile
	* updated the C++ code for the 4.0 API (follow name changes; use
	  int64-based simtime_t; use cPacket; etc.)
	* NED files converted to 4.0 syntax
	* make use of new features in NED files (module interfaces, inout
	  gates, @unit, etc.)

2007-08-02  Ahmed Ayadi <ahmed.ayadi@sophia.inria.fr>

	* integrated to the INET Framework (replaced SocketInterfacePacket
	  based communication with UDPControlInfo, etc)

	* result released as patch, announced on the omnetpp-l list

2004-03-11  Andras Varga

	* added to the INET Framework as nonfunctional code (excluded from build)

	If you are interested in the early history of the RTP code, change
	to the project root and type

	$ gitk -- Transport/RTP INET/src/transport/rtp

2001-xx-xx  Arndt Buschmann <a.buschmann@gmx.de>

	* changes in RTPSenderStatusMessage.h/.cc and RTPPayloadSender.cc
	  (some messages contain an rtp timestamp now)

2001-10-20  Matthias Oppitz <Matthias.Oppitz@gmx.de>

	* initial revision, as part of IPSuite (Uni Karlsruhe)
